UAWOWWorldMapQuest = UAWOWQuest:New("UAWOWWorldMapQuestScroll")

function UAWOWWorldMapQuest:OnInitialize()
    self:Initialize()

    self.selected = 0
    --self.WorldMapQuestScrollFrameHeight = WorldMapQuestScrollFrame:GetHeight()
    self.WorldMapScrollFrameHeight = WorldMapScrollFrame:GetHeight()

    --self:SetChecked(UAWOW.db.profile.quest.worldmap)

	hooksecurefunc("QuestMapFrame_ShowQuestDetails", function(questId)
        self.selected = questId
        UAWOWWorldMapQuest:QuestInfo(questId)
	end)
end

function UAWOWWorldMapQuest:OnEnable()
    UAWOW:DebugLog("UAWOWWorldMapQuest: OnEnable.");
end

function UAWOWWorldMapQuest:OnDisable()
    UAWOW:DebugLog("UAWOWWorldMapQuest: OnDisable.");
end

function UAWOWWorldMapQuest:QuestInfo(questID)

	if UAWOW:isShowQuest() == false then
		return 
	end

	UAWOW:DebugLog("UAWOWWorldMapQuest: " .. questID);
    --self:ShowDefault(questID)
    self:ShowOnMap(questID)

    if QuestNPCModel:IsShown() then
        local point, relativeTo, relativePoint, xOffset, yOffset = QuestNPCModel:GetPoint(1) 
        QuestNPCModel:SetPoint(point, self.Frame, relativePoint, 0, yOffset)
    end
end

